
package de.ivu.elect.presentation.stimmeingabe.menu;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class WasStimmeingabePageMenu extends StimmeingabePageMenu {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "stimmeingabePageMenu";

  @Inject
  private transient StimmeingabeMenuBuilder stimmeingabeMenuBuilder;

  public WasStimmeingabePageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>(super.getMenuEntriesSorted());

    result.addAll(stimmeingabeMenuBuilder.getSubMenuEntriesSorted());

    return result;
  }
}
